Bug 240241 - finance/ledger: Update to 3.1.3
Summary: finance/ledger: Update to 3.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/ledger/ledger/rele...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-31 20:58 UTC by shadow53+freebsd
Modified: 2020-06-29 15:35 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (woodycarey)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shadow53+freebsd 2019-08-31 20:58:37 UTC
The version in ports is two patch versions behind and missing out on a handful of bug fixes.
Comment 1 Kurt Jaeger freebsd_committer 2019-09-06 19:10:53 UTC
(In reply to shadow53+freebsd from comment #0)
Can you provide a patch ?
Comment 2 shadow53+freebsd 2019-09-08 03:07:55 UTC
(In reply to Kurt Jaeger from comment #1)
I could try. I haven't modified ports for FreeBSD before, so I'd have to go through the various docs. Also not sure how I'd go about testing my changes. So I'm willing, but it might take some time.
Comment 3 commit-hook freebsd_committer 2020-06-29 15:34:23 UTC
A commit references this bug:

Author: danfe
Date: Mon Jun 29 15:33:41 UTC 2020
New revision: 540780
URL: https://svnweb.freebsd.org/changeset/ports/540780

Log:
  - Update `finance/ledger' to version 3.2.1
  - Hook provided test suite to our framework

  PR:		240241
  Approved by:	maintainer timeout

Changes:
  head/finance/ledger/Makefile
  head/finance/ledger/distinfo
  head/finance/ledger/pkg-plist
Comment 4 Alexey Dokuchaev freebsd_committer 2020-06-29 15:35:52 UTC
Port had been updated to version 3.2.1 with ports r540780.